## GogOutlinedView

GogOutlinedView

## Synopsis

                        GogOutlinedObject;
    typedef             GogOutlinedObjectClass;
                        GogOutlinedView;
                        GogOutlinedViewClass;
    double              gog_outlined_object_get_pad         (GogOutlinedObject const *goo);

## Object Hierarchy

      GObject
       +----GogObject
             +----GogStyledObject
                   +----GogOutlinedObject
                         +----GogChart
                         +----GogDataLabel
                         +----GogGraph
                         +----GogText
                         +----GogLegend
                         +----GogSeriesLabels

      GObject
       +----GogView
             +----GogOutlinedView
                   +----GogGraphView

## Implemented Interfaces

GogOutlinedObject implements GOStyledObject.

## Properties

      "padding-pts"              gdouble               : Read / Write

## Description

## Details

### GogOutlinedObject

    typedef struct _GogOutlinedObject GogOutlinedObject;

### GogOutlinedObjectClass

    typedef GogStyledObjectClass GogOutlinedObjectClass;

### GogOutlinedView

    typedef struct _GogOutlinedView GogOutlinedView;

### GogOutlinedViewClass

    typedef struct {
    	GogViewClass base;
    	gboolean call_parent_render;
    } GogOutlinedViewClass;

GogViewClass `base`; |
gboolean `call_parent_render`; | whether the parent class `render()` method must be called when done.

### gog_outlined_object_get_pad ()

    double              gog_outlined_object_get_pad         (GogOutlinedObject const *goo);

## Property Details

### The `"padding-pts"` property

      "padding-pts"              gdouble               : Read / Write

Number of pts separating charts in the grid.

Allowed values: >= 0

Default value: 0